# urls.py

from django.urls import path
from .views import ChangeEmailRequestView, ChangeMobileRequestView, CountryNamesView, DeleteAccountView, EmailIDVerification, GenerateAppTokenView, GenerateUserTokenView, LoggedDevicesView, MobileNummberVerification, PrivacySettingsView, RegisterView, LoginView, UserVerificationStatus, VerifyEmailView, VerifyMobileView, VerifyOTPView, ResendOTPView,LogoutView
from .views import ResetPasswordView, ChangePasswordView
from .views import OnboardingAPIView,SetNewPasswordView
from .views import OnboardingAPIView,UserSearchView
from rest_framework_simplejwt.views import TokenRefreshView



urlpatterns = [

    path('onboardingcrea/', OnboardingAPIView.as_view(), name='onboarding-create'),
    path('onboardingcrea/<int:pk>/', OnboardingAPIView.as_view(), name='onboarding-update-delete'),
    path('registercrea/', RegisterView.as_view(), name='register'),
    path('logincrea/', LoginView.as_view(), name='login'),
    path('logout/', LogoutView.as_view(), name='logout'),
    path('verifyotp/', VerifyOTPView.as_view(), name='verify_otp'),
    path('resendotp/', ResendOTPView.as_view(), name='resend_otp'),
    path('profile/resetpassword/', ResetPasswordView.as_view(), name='reset-password'),
    path('profile/changepassword/', ChangePasswordView.as_view(), name='change-password'),
    path('set-new-password/', SetNewPasswordView.as_view(), name='set-new-password'),
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('users/search/', UserSearchView.as_view(), name='user-search'),
    path("logged_devices/", LoggedDevicesView.as_view(), name="logged_devices"),
    path("logout/", LogoutView.as_view(), name="logout"),
    path('user/change-email/', ChangeEmailRequestView.as_view(), name='change_email_request'),
    path('user/verify-email/', VerifyEmailView.as_view(), name='verify_email'),
    path('user/change-mobile/', ChangeMobileRequestView.as_view(), name='change_mobile_request'),
    path('user/verify-mobile/', VerifyMobileView.as_view(), name='verify_mobile'),
    path('delete-account/', DeleteAccountView.as_view(), name='delete_account'),
    path('user_verification_status/<int:user_id>/', UserVerificationStatus.as_view(), name="user_verification_status"),
    path('mobile_verification/', MobileNummberVerification.as_view(), name='mobile_store'),
    path('email_verification/', EmailIDVerification.as_view(), name='email_store'),
    path("countries/names/", CountryNamesView.as_view(), name="country-names"),
    # path('logs/', stream_logs, name='stream_logs'),
    path("token/generateUserToken", GenerateUserTokenView.as_view(), name="generate_user_token"),
    path("token/generateAppToken", GenerateAppTokenView.as_view(), name="generate_app_token"),
    path('privacy-settings/', PrivacySettingsView.as_view(), name='privacy-settings'),
]

    
    

